#include<bits/stdc++.h>
using namespace std;
const int maxN=200005;
int a[maxN];
int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    int n;
    cin>>n;
    for(int i=1; i<=n; i++)
    {
        cin>>a[i];
    }
    cout<<a[1]<<endl;
    cout<<1<<endl;
    cout<<1<<endl;
    cout<<0<<endl;
    return 0;
}